> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Prompt Evaluation Dataset



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/{project_id}/prompt_datasets
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/prompt_datasets:
    post:
      tags:
        - datasets
      summary: Upload Prompt Evaluation Dataset
      operationId: >-
        upload_prompt_evaluation_dataset_v2_projects__project_id__prompt_datasets_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: format
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/DatasetFormat'
            default: csv
        - name: hidden
          in: query
          required: false
          schema:
            type: boolean
            title: Hidden
            default: false
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_prompt_evaluation_dataset_v2_projects__project_id__prompt_datasets_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromptDatasetDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    DatasetFormat:
      type: string
      enum:
        - csv
        - feather
        - json
        - jsonl
      title: DatasetFormat
    Body_upload_prompt_evaluation_dataset_v2_projects__project_id__prompt_datasets_post:
      properties:
        file:
          type: string
          format: binary
          title: File
      type: object
      required:
        - file
      title: >-
        Body_upload_prompt_evaluation_dataset_v2_projects__project_id__prompt_datasets_post
    PromptDatasetDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        dataset_id:
          type: string
          format: uuid4
          title: Dataset Id
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        message:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Message
        num_rows:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Rows
        rows:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rows
      type: object
      required:
        - id
        - dataset_id
      title: PromptDatasetDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````